Program Gravity; 
Const 
   g = 9.82; 
   Step = 0.1; 
Var 
   T,H,L,Vx,Vy : real; 
   N : integer; 

Procedure ClearObj; 
Var 
   x,y : integer; 
Begin 
  x := round(L); 
  y := round(400.0-2*H); 
  Pen(1,255,255,255); 
  Brush(1,255,255,255); 
  Rectangle(x-5,y-5,x+5,y+5) 
end; 

Procedure Ind; 
Begin 
  MoveTo(0,410); 
  WriteLn('T ',T:8:2); 
  WriteLn('H ',H:8:2); 
  WriteLn('L ',L:8:2); 
end; 

Procedure ShowObj; 
Var 
   x,y : integer; 
Begin 
  x := round(L); 
  y := round(400.0-2*H); 
  Pen(1,255,0,0); 
  Brush(1,0,255,0); 
  Ellipse(x-5,y-5,x+5,y+5); 
  Ind; 
  Delay(1); 
end; 

Procedure Fly; 
Begin 
  ClearObj; 
  H := H+Vy*Step; 
  Vy := Vy-g*Step; 
  L := L+Vx*Step; 
  T := T+Step; 
  ShowObj; 
end; 

Function EndFly : boolean; 
Begin 
  EndFly := H<=0; 
end; 

Procedure StartFly; 
Begin 
  L := 0; 
  H := 40; 
  T := 0; 
  Vx := random(30.0)+20; 
  Vy := random(30.0)+20; 
  ShowObj; 
end; 

Begin 
  Rectangle(0,0,600,400); 
  For N:=1 to 10 do 
    Begin 
      StartFly; 
      Repeat 
        Fly 
      until EndFly; 
    end 
end.
